1.1

1.1

get /v1/bm_products

Description

List Bare Metal Server products.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryimage_id
optional
Image ID
Example : IMAGE-7XFMaJpLsapKvskFMjCtmm
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKProductListResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/bm_products

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"

Example HTTP response

Response 200

{
    "products": [
        {
            "compute_class_type_name": "StandardMetal-2",
            "compute_class_type_value": "s2_metal",
            "cpu_name": "cpu 16 vCore",
            "cpu_unit": "vCPU",
            "cpu_value": "64",
            "created_at": "2024-05-17T00:23:17Z",
            "description": "vCPU 16 │ Memory 128G │ Disk 480G",
            "disk_unit": "GB",
            "disk_value": "480",
            "id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
            "memory_name": "server memory 128GB",
            "memory_unit": "GB",
            "memory_value": "128",
            "modified_at": "2024-05-17T00:23:17Z",
            "name": "s2v16m128_metal",
            "name_with_generation": "s2v16m128_metal",
            "os_disk_gb": "480",
            "state": "AVAILABLE",
            "type": "SCALE"
        }
    ]
}